GWT 2.7.0

## com.google.web.bindery.requestfactory.shared
Enum WriteOperation

    java.lang.Object
      java.lang.Enum<WriteOperation>
          com.google.web.bindery.requestfactory.shared.WriteOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WriteOperation>

    public enum WriteOperation

extends java.lang.Enum<WriteOperation>

The values returned by `EntityProxyChange.getWriteOperation()` to describe the type of change being announced.

PERSIST
  An `EntityProxy` that was created on the client has been persisted on the server
UPDATE
  An `EntityProxy` has been encountered by the client for the first time, or its version value has changed
DELETE
  The server has confirmed the success of a client request to delete an `EntityProxy`

See Also:
  `EntityProxyChange.getWriteOperation()`

Enum Constant Summary
`DELETE`
`PERSIST`
`UPDATE`

Method Summary
`java.lang.String` | `getUnObfuscatedEnumName()` Returns the unobfuscated name of the event associated with this `WriteOperation`.
`static WriteOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WriteOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSIST

    public static final WriteOperation PERSIST

### UPDATE

    public static final WriteOperation UPDATE

### DELETE

    public static final WriteOperation DELETE

Method Detail

### values

    public static WriteOperation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WriteOperation c : WriteOperation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WriteOperation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getUnObfuscatedEnumName

    public java.lang.String getUnObfuscatedEnumName()

  Returns the unobfuscated name of the event associated with this `WriteOperation`.

  Returns:
    one of "PERSIST", "UPDATE", or "DELETE"

GWT 2.7.0